import request from '@/utils/request'

// 查询机构信息列表
export function listAgency(id) {
    return request({
        url: '/system/agency/'+ id,
        method: 'get',
  
    })
}
export function getFirstLevelInfo() {
    return request({
        url: '/system/area/getFirstLevelInfo',
        method: 'get'
    })
}
export function getSecondaryLevelInfo(id) {
    return request({
        url: `/system/area/getSecondaryLevelInfo?parentId=${id}`,
        method: 'get'
    })
}

// 机构树
export function agencyList() {
    return request({
        url: '/system/agency/agencyList',
        method: 'get',
    })
}
// 类别
export function agencyCategoryList() {
    return request({
        url: '/system/agencyCategory/agencyCategoryList ',
        method: 'get',
    })
}
 

// 查询机构信息详细
export function getAgency(id) {
    return request({
        url: '/system/agency/' + id,
        method: 'get'
    })
}

// 新增机构信息
export function addAgency(data) {
    return request({
        url: '/system/agency',
        method: 'post',
        data: data
    })
}

// 修改机构信息
export function updateAgency(data) {
    return request({
        url: '/system/agency',
        method: 'put',
        data: data
    })
}

// 删除机构信息
export function delAgency(id) {
    return request({
        url: '/system/agency/' + id,
        method: 'delete'
    })
}

export function getAgencytype(dictType) {
    return request({
        url: '/system/dict/data/type/' + dictType,
        method: 'get'
    })
}
